Subject: [PATCH 17/20] ASoC: pxa: pxa-pcm-lib: switch over to snd-soc-dmaengine-pcm

From: [email-masked] (Lars-Peter Clausen)
Date: Thu, 08 Aug 2013 10:44:49 +0200

On 08/08/2013 10:18 AM, Daniel Mack wrote:
> On 07.08.2013 18:32, Mark Brown wrote:
>> On Wed, Aug 07, 2013 at 06:10:55PM +0200, Daniel Mack wrote:
>>> On 07.08.2013 18:07, Mark Brown wrote:
>>
>>>> Has this been tested with the standalone non-ASoC PXA AC'97 driver?
>>
>>> Nope. I have no such device.
>>
>> I guess the main test there will be making sure that it builds with ASoC
>> disabled.  I'm not sure anything later than PXA3xx ever actually used
>> AC'97.
>>
>
> Ah, I see it now.
>
> I guess we have two options: either duplicate code from
> soc-dmaengine-pcm, or move soc-dmaengine-pcm out of the ASoC context. I
> actually see no dependecy to ASoC from there anyway.

There is intentionally no dependency on ASoC for the soc-dmaengine-pcm code, 
though since I wasn't sure whether there was ever going to be a userside 
outside of ASoC the coded ended up in ASoC folder. It shouldn't be a problem to 
make it available to all of ALSA.

Not that the soc-generic-dmaengine-pcm code has a dependency on ASoC though.

- Lars